Bug 426480 - 2.6.23.9-85.fc8 kernel brings out more ACPI errors info in dmesg on toshiba laptop
2.6.23.9-85.fc8 kernel brings out more ACPI errors info in dmesg on toshiba l...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
i686 Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-21 09:29 EST by Jason HU
Modified: 2008-02-11 17:39 EST (History)
0 users

See Also:
Fixed In Version: 2.6.23.15-137.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-11 17:39:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
demsg of 2.6.23.8-63.fc8 (20.46 KB, text/plain)
2007-12-21 09:29 EST, Jason HU
no flags Details
dmesg of 2.6.23.9-85.fc8 (21.93 KB, text/plain)
2007-12-21 09:31 EST, Jason HU
no flags Details
acpidump output (135.92 KB, text/plain)
2007-12-21 09:33 EST, Jason HU
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Linux Kernel 9627 None None None Never

  None (edit)
Description Jason HU 2007-12-21 09:29:51 EST
Description of problem:
 2.6.23.9-85.fc8 kernel brings out more ACPI error info in dmesg than
2.6.23.8-63.fc8. Shows below:

+ACPI Error (evregion-0316): No handler for Region [ERAM] (f7d0d4d8)
[EmbeddedControl] [20070126]
+ACPI Error (exfldio-0289): Region EmbeddedControl(3) has no handler [20070126]
+ACPI Exception (dswexec-0462): AE_NOT_EXIST, While resolving operands for
[OpcodeName unavailable] [20070126]
+ACPI Error (psparse-0537): Method parse/execution failed [\_SB_.HTEV] (Node
f7d12e58), AE_NOT_EXIST
+ACPI Error (psparse-0537): Method parse/execution failed
[\_SB_.PCI0.LPC0.EC0_._REG] (Node f7d0cbe8), AE_NOT_EXIST

Version-Release number of selected component (if applicable):
kernel version  2.6.23.9-85.fc8

H/W environment:
Toshiba Laptop A135-S2386

I will add both dmesgs and the acpidump file for your reference.
Comment 1 Jason HU 2007-12-21 09:29:51 EST
Created attachment 290237 [details]
demsg of 2.6.23.8-63.fc8
Comment 2 Jason HU 2007-12-21 09:31:31 EST
Created attachment 290238 [details]
dmesg of  2.6.23.9-85.fc8
Comment 3 Jason HU 2007-12-21 09:33:01 EST
Created attachment 290239 [details]
acpidump output
Comment 4 Jason HU 2007-12-21 09:45:57 EST
Also, the brightness buttons (Fn+F6/F7) of toshiba a135-s2386 still not work
well(/proc/acpi/video/VGA/LCD/brightness works well, but pressing Fn+F6/F7 can
only makes brightness up to the highest level, the gnome-panel brightness applet
can not get laptop brightness). 

I knew there are some bug report about that issue and the new kernel
(2.6.23.9-85.fc8) do have workaround code in the acpi/ec.c, so I upgraded to the
new kernel, but now it seems that it does not help.

 
Comment 5 josip 2007-12-25 12:59:33 EST
Possibly related: Kernel 2.6.23.9-85.fc8 royally locks up on reboot, and
prevents BIOS from starting.  The only way to recover is to physically unplug
the machine for about a minute.  On the same machine (Intel D865PERL motherboard
& BIOS), previous kernel 2.6.23.8-63.fc8 reboots normally.  BTW, "acpi=off"
doesn't help, so the trouble with 2.6.23.9-85.fc8 may go beyond ACPI.

Again, 2.6.23.8-63.fc8 works normally but 2.6.23.9-85.fc8 doesn't.
Comment 6 Chuck Ebbert 2008-02-05 20:27:23 EST
Problems in comment #4 are a separate item and should be fixed in 2.6.23.14-132.
The EC messages should be fixed in 2.6.23.14-133
Comment 7 Fedora Update System 2008-02-10 22:34:21 EST
kernel-2.6.23.15-137.fc8 has been submitted as an update for Fedora 8
Comment 8 Fedora Update System 2008-02-11 17:39:08 EST
kernel-2.6.23.15-137.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.